Browse Source

Add support for Python 3.9.

master
Dan Helfman 7 months ago
parent
commit
631da1465e
  1. 1
      NEWS
  2. 2
      test_requirements.txt
  3. 4
      tox.ini

1
NEWS

@ -3,6 +3,7 @@
* Update systemd service example to return a permission error when a system call isn't permitted
(instead of terminating borgmatic outright).
* Drop support for Python 3.5, which has been end-of-lifed.
* Add support for Python 3.9.
* Update versions of test dependencies (test_requirements.txt and test containers).
* Only support black code formatter on Python 3.8+. New black dependencies make installation
difficult on older versions of Python.

2
test_requirements.txt

@ -25,4 +25,4 @@ regex; python_version >= '3.8'
requests==2.25.0
ruamel.yaml>0.15.0,<0.17.0
toml==0.10.2; python_version >= '3.8'
typed-ast==1.4.1; python_version >= '3.8'
typed-ast==1.4.2; python_version >= '3.8'

4
tox.ini

@ -1,5 +1,5 @@
[tox]
envlist = py36,py37,py38
envlist = py36,py37,py38,py39
skip_missing_interpreters = True
skipsdist = True
minversion = 3.14.1
@ -13,7 +13,7 @@ whitelist_externals =
passenv = COVERAGE_FILE
commands =
pytest {posargs}
py38: black --check .
py38,py39: black --check .
isort --check-only --settings-path setup.cfg .
flake8 borgmatic tests

Loading…
Cancel
Save